Bug 1072273 - test 1086 failing on s390(x)
test 1086 failing on s390(x)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
19
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2014-03-04 04:28 EST by Dan Horák
Modified: 2014-03-08 23:45 EST (History)
2 users (show)

See Also:
Fixed In Version: curl-7.29.0-15.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-07 22:32:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2014-03-04 04:28:32 EST
test 1086 fails on both F-19 and F-20 version of curl


test 1086...[FTP download with strict timeout and slow data transfer]
../src/curl --output log/curl1086.out  --include --trace-ascii log/trace1086 --trace-time ftp://127.0.0.1:3292/1086 -m 7 >log/stdout1086 2>log/stderr1086
CMD (7168): ../src/curl --output log/curl1086.out  --include --trace-ascii log/trace1086 --trace-time ftp://127.0.0.1:3292/1086 -m 7 >log/stdout1086 2>log/stderr1086
* kill pid for ftp-ctrl => 28616
RUN: Process with pid 28615 signalled to die
RUN: Process with pid 30690 signalled to die
RUN: Process with pid 30693 signalled to die
RUN: Process with pid 30693 gracefully died
RUN: Process with pid 28615 forced to die with SIGKILL
RUN: Process with pid 30690 forced to die with SIGKILL
 1086: protocol FAILED:
--- log/check-expected	2014-03-04 01:18:51.000000000 +0000
+++ log/check-generated	2014-03-04 01:18:51.000000000 +0000
@@ -1,7 +1,3 @@
 USER anonymous
 PASS ftp@example.com
 PWD
-EPSV
-TYPE I
-SIZE 1086
-RETR 1086
== Contents of files in the log/ dir after test 1086
=== Start of file check-expected
 USER anonymous
 PASS ftp@example.com
 PWD
 EPSV
 TYPE I
 SIZE 1086
 RETR 1086
=== End of file check-expected
=== Start of file check-generated
 USER anonymous
 PASS ftp@example.com
 PWD
=== End of file check-generated
=== Start of file ftp_server.log
 01:18:35.779521 ====> Client connect
 01:18:35.779607 FTPD: Getting commands from log/ftpserver.cmd
 01:18:35.779631 FTPD: send response with 0.01 sec delay between each byte
 01:18:35.779692 FTPD: set custom reply for USER
 01:18:35.779720 FTPD: set custom reply for PASS
 01:18:35.779745 FTPD: set custom reply for PWD
 01:18:35.779768 FTPD: set custom reply for TYPE
 01:18:42.153972 > "220-        _   _ ____  _     [CR][LF]220-    ___| | | |  _ \| |    [CR][LF]220-   / __| | | | |_) | |    [CR][LF]220-  | (__| |_| |  _ <| |___ [CR][LF]220    \___|\___/|_| \_\_____|[CR][LF]"
 01:18:42.154224 < "USER anonymous"
 01:18:42.473939 > "331 OK[CR][LF]"
 01:18:42.474046 < "PASS ftp@example.com"
 01:18:42.793961 > "230 OK[CR][LF]"
 01:18:42.794092 < "PWD"
 01:18:43.153914 > "257 "/"[CR][LF]"
 01:18:43.153977 MAIN sockfilt said DISC
 01:18:43.153991 ====> Client disconnected
 01:18:43.154052 Awaiting input
 01:18:43.154066 MAIN sockfilt said: DISC
 01:18:43.154077 Awaiting input
 01:18:43.154088 MAIN sockfilt said: DISC
 01:18:43.154097 Awaiting input
 01:18:43.154108 MAIN sockfilt said: DISC
 01:18:43.154118 Awaiting input
 01:18:43.154129 MAIN sockfilt said: DISC
 01:18:43.154139 Awaiting input
 01:18:43.154149 MAIN sockfilt said: DISC
 01:18:43.154159 Awaiting input
 01:18:43.154170 MAIN sockfilt said: DISC
 01:18:43.154180 Awaiting input
 01:18:43.154190 MAIN sockfilt said: DISC
 01:18:43.154200 Awaiting input
 01:18:43.154211 MAIN sockfilt said: DISC
 01:18:43.154221 Awaiting input
=== End of file ftp_server.log
=== Start of file ftp_sockctrl.log
 01:18:35.916970 ====> Client connect
 01:18:35.917364 Received DATA (on stdin)
 01:18:35.917383 > 1 bytes data, server => client
 01:18:35.917397 '2'
 01:18:35.931597 Received DATA (on stdin)
 01:18:35.931620 > 1 bytes data, server => client
 01:18:35.931633 '2'
 01:18:35.971460 Received DATA (on stdin)
 01:18:35.971491 > 1 bytes data, server => client
 01:18:35.971505 '0'
 01:18:36.011508 Received DATA (on stdin)
 01:18:36.011541 > 1 bytes data, server => client
 01:18:36.011555 '-'
 01:18:36.051435 Received DATA (on stdin)
 01:18:36.051469 > 1 bytes data, server => client
 01:18:36.051483 ' '
 01:18:36.091436 Received DATA (on stdin)
 01:18:36.091468 > 1 bytes data, server => client
 01:18:36.091481 ' '
 01:18:36.131442 Received DATA (on stdin)
 01:18:36.131470 > 1 bytes data, server => client
 01:18:36.131483 ' '
 01:18:36.171436 Received DATA (on stdin)
 01:18:36.171466 > 1 bytes data, server => client
 01:18:36.171479 ' '
 01:18:36.211437 Received DATA (on stdin)
 01:18:36.211467 > 1 bytes data, server => client
 01:18:36.211480 ' '
 01:18:36.251433 Received DATA (on stdin)
 01:18:36.251460 > 1 bytes data, server => client
 01:18:36.251473 ' '
 01:18:36.291452 Received DATA (on stdin)
 01:18:36.291484 > 1 bytes data, server => client
 01:18:36.291497 ' '
 01:18:36.331438 Received DATA (on stdin)
 01:18:36.331472 > 1 bytes data, server => client
 01:18:36.331486 ' '
 01:18:36.371442 Received DATA (on stdin)
 01:18:36.371483 > 1 bytes data, server => client
 01:18:36.371497 '_'
 01:18:36.411440 Received DATA (on stdin)
 01:18:36.411477 > 1 bytes data, server => client
 01:18:36.411490 ' '
 01:18:36.451434 Received DATA (on stdin)
 01:18:36.451465 > 1 bytes data, server => client
 01:18:36.451478 ' '
 01:18:36.491437 Received DATA (on stdin)
 01:18:36.491472 > 1 bytes data, server => client
 01:18:36.491484 ' '
 01:18:36.531445 Received DATA (on stdin)
 01:18:36.531481 > 1 bytes data, server => client
 01:18:36.531494 '_'
 01:18:36.571475 Received DATA (on stdin)
 01:18:36.571510 > 1 bytes data, server => client
 01:18:36.571523 ' '
 01:18:36.611472 Received DATA (on stdin)
 01:18:36.611509 > 1 bytes data, server => client
 01:18:36.611523 '_'
 01:18:36.652742 Received DATA (on stdin)
 01:18:36.652771 > 1 bytes data, server => client
 01:18:36.652783 '_'
 01:18:36.691481 Received DATA (on stdin)
 01:18:36.691517 > 1 bytes data, server => client
 01:18:36.691529 '_'
 01:18:36.737180 Received DATA (on stdin)
 01:18:36.737236 > 1 bytes data, server => client
 01:18:36.737250 '_'
 01:18:36.771445 Received DATA (on stdin)
 01:18:36.771479 > 1 bytes data, server => client
 01:18:36.771493 ' '
 01:18:36.816761 Received DATA (on stdin)
 01:18:36.816788 > 1 bytes data, server => client
 01:18:36.816800 ' '
 01:18:36.851444 Received DATA (on stdin)
 01:18:36.851480 > 1 bytes data, server => client
 01:18:36.851494 '_'
 01:18:36.891438 Received DATA (on stdin)
 01:18:36.891470 > 1 bytes data, server => client
 01:18:36.891483 ' '
 01:18:36.931439 Received DATA (on stdin)
 01:18:36.931474 > 1 bytes data, server => client
 01:18:36.931488 ' '
 01:18:36.971437 Received DATA (on stdin)
 01:18:36.971467 > 1 bytes data, server => client
 01:18:36.971480 ' '
 01:18:37.011435 Received DATA (on stdin)
 01:18:37.011465 > 1 bytes data, server => client
 01:18:37.011477 ' '
 01:18:37.051431 Received DATA (on stdin)
 01:18:37.051454 > 1 bytes data, server => client
 01:18:37.051467 ' '
 01:18:37.091435 Received DATA (on stdin)
 01:18:37.091464 > 1 bytes data, server => client
 01:18:37.091477 '\r'
 01:18:37.131432 Received DATA (on stdin)
 01:18:37.131460 > 1 bytes data, server => client
 01:18:37.131472 '\n'
 01:18:37.171435 Received DATA (on stdin)
 01:18:37.171465 > 1 bytes data, server => client
 01:18:37.171478 '2'
 01:18:37.211448 Received DATA (on stdin)
 01:18:37.211483 > 1 bytes data, server => client
 01:18:37.211496 '2'
 01:18:37.251460 Received DATA (on stdin)
 01:18:37.251506 > 1 bytes data, server => client
 01:18:37.251520 '0'
 01:18:37.291443 Received DATA (on stdin)
 01:18:37.291479 > 1 bytes data, server => client
 01:18:37.291493 '-'
 01:18:37.331437 Received DATA (on stdin)
 01:18:37.331466 > 1 bytes data, server => client
 01:18:37.331479 ' '
 01:18:37.371434 Received DATA (on stdin)
 01:18:37.371461 > 1 bytes data, server => client
 01:18:37.371474 ' '
 01:18:37.411697 Received DATA (on stdin)
 01:18:37.411747 > 1 bytes data, server => client
 01:18:37.411761 ' '
 01:18:37.451438 Received DATA (on stdin)
 01:18:37.451473 > 1 bytes data, server => client
 01:18:37.451487 ' '
 01:18:37.491434 Received DATA (on stdin)
 01:18:37.491464 > 1 bytes data, server => client
 01:18:37.491477 '_'
 01:18:37.531442 Received DATA (on stdin)
 01:18:37.531477 > 1 bytes data, server => client
 01:18:37.531490 '_'
 01:18:37.571431 Received DATA (on stdin)
 01:18:37.571460 > 1 bytes data, server => client
 01:18:37.571472 '_'
 01:18:37.611431 Received DATA (on stdin)
 01:18:37.611459 > 1 bytes data, server => client
 01:18:37.611472 '|'
 01:18:37.651436 Received DATA (on stdin)
 01:18:37.651470 > 1 bytes data, server => client
 01:18:37.651483 ' '
 01:18:37.691436 Received DATA (on stdin)
 01:18:37.691471 > 1 bytes data, server => client
 01:18:37.691485 '|'
 01:18:37.731449 Received DATA (on stdin)
 01:18:37.731484 > 1 bytes data, server => client
 01:18:37.731499 ' '
 01:18:37.771429 Received DATA (on stdin)
 01:18:37.771456 > 1 bytes data, server => client
 01:18:37.771470 '|'
 01:18:37.811442 Received DATA (on stdin)
 01:18:37.811478 > 1 bytes data, server => client
 01:18:37.811492 ' '
 01:18:37.851437 Received DATA (on stdin)
 01:18:37.851472 > 1 bytes data, server => client
 01:18:37.851486 '|'
 01:18:37.891408 Received DATA (on stdin)
 01:18:37.891440 > 1 bytes data, server => client
 01:18:37.891454 ' '
 01:18:37.931441 Received DATA (on stdin)
 01:18:37.931479 > 1 bytes data, server => client
 01:18:37.931492 ' '
 01:18:37.971448 Received DATA (on stdin)
 01:18:37.971496 > 1 bytes data, server => client
 01:18:37.971510 '_'
 01:18:38.011437 Received DATA (on stdin)
 01:18:38.011470 > 1 bytes data, server => client
 01:18:38.011484 ' '
 01:18:38.051439 Received DATA (on stdin)
 01:18:38.051472 > 1 bytes data, server => client
 01:18:38.051485 '\'
 01:18:38.091444 Received DATA (on stdin)
 01:18:38.091483 > 1 bytes data, server => client
 01:18:38.091496 '|'
 01:18:38.131453 Received DATA (on stdin)
 01:18:38.131489 > 1 bytes data, server => client
 01:18:38.131502 ' '
 01:18:38.171450 Received DATA (on stdin)
 01:18:38.171491 > 1 bytes data, server => client
 01:18:38.171504 '|'
 01:18:38.211458 Received DATA (on stdin)
 01:18:38.211512 > 1 bytes data, server => client
 01:18:38.211525 ' '
 01:18:38.251444 Received DATA (on stdin)
 01:18:38.251478 > 1 bytes data, server => client
 01:18:38.251491 ' '
 01:18:38.291469 Received DATA (on stdin)
 01:18:38.291501 > 1 bytes data, server => client
 01:18:38.291514 ' '
 01:18:38.331478 Received DATA (on stdin)
 01:18:38.331517 > 1 bytes data, server => client
 01:18:38.331531 ' '
 01:18:38.371472 Received DATA (on stdin)
 01:18:38.371505 > 1 bytes data, server => client
 01:18:38.371518 '\r'
 01:18:38.411483 Received DATA (on stdin)
 01:18:38.411527 > 1 bytes data, server => client
 01:18:38.411541 '\n'
 01:18:38.451437 Received DATA (on stdin)
 01:18:38.451491 > 1 bytes data, server => client
 01:18:38.451508 '2'
 01:18:38.491817 Received DATA (on stdin)
 01:18:38.491863 > 1 bytes data, server => client
 01:18:38.491876 '2'
 01:18:38.531481 Received DATA (on stdin)
 01:18:38.531516 > 1 bytes data, server => client
 01:18:38.531533 '0'
 01:18:38.571472 Received DATA (on stdin)
 01:18:38.571505 > 1 bytes data, server => client
 01:18:38.571519 '-'
 01:18:38.611474 Received DATA (on stdin)
 01:18:38.611506 > 1 bytes data, server => client
 01:18:38.611518 ' '
 01:18:38.651474 Received DATA (on stdin)
 01:18:38.651509 > 1 bytes data, server => client
 01:18:38.651522 ' '
 01:18:38.691470 Received DATA (on stdin)
 01:18:38.691503 > 1 bytes data, server => client
 01:18:38.691516 ' '
 01:18:38.731472 Received DATA (on stdin)
 01:18:38.731507 > 1 bytes data, server => client
 01:18:38.731520 '/'
 01:18:38.771447 Received DATA (on stdin)
 01:18:38.771491 > 1 bytes data, server => client
 01:18:38.771505 ' '
 01:18:38.811439 Received DATA (on stdin)
 01:18:38.811472 > 1 bytes data, server => client
 01:18:38.811485 '_'
 01:18:38.851434 Received DATA (on stdin)
 01:18:38.851474 > 1 bytes data, server => client
 01:18:38.851488 '_'
 01:18:38.891449 Received DATA (on stdin)
 01:18:38.891487 > 1 bytes data, server => client
 01:18:38.891500 '|'
 01:18:38.931443 Received DATA (on stdin)
 01:18:38.931477 > 1 bytes data, server => client
 01:18:38.931489 ' '
 01:18:38.971474 Received DATA (on stdin)
 01:18:38.971510 > 1 bytes data, server => client
 01:18:38.971523 '|'
 01:18:39.011466 Received DATA (on stdin)
 01:18:39.011496 > 1 bytes data, server => client
 01:18:39.011509 ' '
 01:18:39.053414 Received DATA (on stdin)
 01:18:39.053454 > 1 bytes data, server => client
 01:18:39.053468 '|'
 01:18:39.091416 Received DATA (on stdin)
 01:18:39.091454 > 1 bytes data, server => client
 01:18:39.091467 ' '
 01:18:39.131471 Received DATA (on stdin)
 01:18:39.131503 > 1 bytes data, server => client
 01:18:39.131516 '|'
 01:18:39.171477 Received DATA (on stdin)
 01:18:39.171515 > 1 bytes data, server => client
 01:18:39.171528 ' '
 01:18:39.211465 Received DATA (on stdin)
 01:18:39.211493 > 1 bytes data, server => client
 01:18:39.211506 '|'
 01:18:39.251494 Received DATA (on stdin)
 01:18:39.251540 > 1 bytes data, server => client
 01:18:39.251554 '_'
 01:18:39.291852 Received DATA (on stdin)
 01:18:39.291890 > 1 bytes data, server => client
 01:18:39.291903 ')'
 01:18:39.331444 Received DATA (on stdin)
 01:18:39.332937 > 1 bytes data, server => client
 01:18:39.332957 ' '
 01:18:39.371454 Received DATA (on stdin)
 01:18:39.371500 > 1 bytes data, server => client
 01:18:39.371513 '|'
 01:18:39.411450 Received DATA (on stdin)
 01:18:39.411492 > 1 bytes data, server => client
 01:18:39.411505 ' '
 01:18:39.451442 Received DATA (on stdin)
 01:18:39.451478 > 1 bytes data, server => client
 01:18:39.451491 '|'
 01:18:39.491443 Received DATA (on stdin)
 01:18:39.491480 > 1 bytes data, server => client
 01:18:39.491493 ' '
 01:18:39.531438 Received DATA (on stdin)
 01:18:39.531471 > 1 bytes data, server => client
 01:18:39.531484 ' '
 01:18:39.571446 Received DATA (on stdin)
 01:18:39.571482 > 1 bytes data, server => client
 01:18:39.571496 ' '
 01:18:39.611450 Received DATA (on stdin)
 01:18:39.611494 > 1 bytes data, server => client
 01:18:39.611508 ' '
 01:18:39.651467 Received DATA (on stdin)
 01:18:39.651528 > 1 bytes data, server => client
 01:18:39.651542 '\r'
 01:18:39.691449 Received DATA (on stdin)
 01:18:39.691490 > 1 bytes data, server => client
 01:18:39.691504 '\n'
 01:18:39.731448 Received DATA (on stdin)
 01:18:39.731491 > 1 bytes data, server => client
 01:18:39.731505 '2'
 01:18:39.771453 Received DATA (on stdin)
 01:18:39.771501 > 1 bytes data, server => client
 01:18:39.771515 '2'
 01:18:39.811444 Received DATA (on stdin)
 01:18:39.811485 > 1 bytes data, server => client
 01:18:39.811498 '0'
 01:18:39.851445 Received DATA (on stdin)
 01:18:39.851486 > 1 bytes data, server => client
 01:18:39.851499 '-'
 01:18:39.891479 Received DATA (on stdin)
 01:18:39.891520 > 1 bytes data, server => client
 01:18:39.891533 ' '
 01:18:39.931478 Received DATA (on stdin)
 01:18:39.931520 > 1 bytes data, server => client
 01:18:39.931534 ' '
 01:18:39.971480 Received DATA (on stdin)
 01:18:39.971524 > 1 bytes data, server => client
 01:18:39.971537 '|'
 01:18:40.011674 Received DATA (on stdin)
 01:18:40.011730 > 1 bytes data, server => client
 01:18:40.011745 ' '
 01:18:40.051481 Received DATA (on stdin)
 01:18:40.051519 > 1 bytes data, server => client
 01:18:40.051533 '('
 01:18:40.091473 Received DATA (on stdin)
 01:18:40.091507 > 1 bytes data, server => client
 01:18:40.091519 '_'
 01:18:40.131462 Received DATA (on stdin)
 01:18:40.131489 > 1 bytes data, server => client
 01:18:40.131501 '_'
 01:18:40.171461 Received DATA (on stdin)
 01:18:40.171487 > 1 bytes data, server => client
 01:18:40.171499 '|'
 01:18:40.211791 Received DATA (on stdin)
 01:18:40.211818 > 1 bytes data, server => client
 01:18:40.211830 ' '
 01:18:40.251484 Received DATA (on stdin)
 01:18:40.251521 > 1 bytes data, server => client
 01:18:40.251535 '|'
 01:18:40.291474 Received DATA (on stdin)
 01:18:40.291508 > 1 bytes data, server => client
 01:18:40.291522 '_'
 01:18:40.331480 Received DATA (on stdin)
 01:18:40.331534 > 1 bytes data, server => client
 01:18:40.331549 '|'
 01:18:40.371473 Received DATA (on stdin)
 01:18:40.371511 > 1 bytes data, server => client
 01:18:40.371525 ' '
 01:18:40.411426 Received DATA (on stdin)
 01:18:40.411449 > 1 bytes data, server => client
 01:18:40.411462 '|'
 01:18:40.451432 Received DATA (on stdin)
 01:18:40.451461 > 1 bytes data, server => client
 01:18:40.451474 ' '
 01:18:40.491463 Received DATA (on stdin)
 01:18:40.491492 > 1 bytes data, server => client
 01:18:40.491504 ' '
 01:18:40.534349 Received DATA (on stdin)
 01:18:40.534418 > 1 bytes data, server => client
 01:18:40.534432 '_'
 01:18:40.571485 Received DATA (on stdin)
 01:18:40.571530 > 1 bytes data, server => client
 01:18:40.571544 ' '
 01:18:40.611473 Received DATA (on stdin)
 01:18:40.611509 > 1 bytes data, server => client
 01:18:40.611523 '<'
 01:18:40.651476 Received DATA (on stdin)
 01:18:40.651509 > 1 bytes data, server => client
 01:18:40.651523 '|'
 01:18:40.691478 Received DATA (on stdin)
 01:18:40.691516 > 1 bytes data, server => client
 01:18:40.691530 ' '
 01:18:40.731472 Received DATA (on stdin)
 01:18:40.731506 > 1 bytes data, server => client
 01:18:40.731519 '|'
 01:18:40.771473 Received DATA (on stdin)
 01:18:40.771507 > 1 bytes data, server => client
 01:18:40.771521 '_'
 01:18:40.811493 Received DATA (on stdin)
 01:18:40.811536 > 1 bytes data, server => client
 01:18:40.811549 '_'
 01:18:40.851484 Received DATA (on stdin)
 01:18:40.851522 > 1 bytes data, server => client
 01:18:40.851535 '_'
 01:18:40.891609 Received DATA (on stdin)
 01:18:40.891662 > 1 bytes data, server => client
 01:18:40.891676 ' '
 01:18:40.931482 Received DATA (on stdin)
 01:18:40.931522 > 1 bytes data, server => client
 01:18:40.931536 '\r'
 01:18:40.971470 Received DATA (on stdin)
 01:18:40.971508 > 1 bytes data, server => client
 01:18:40.971521 '\n'
 01:18:41.011475 Received DATA (on stdin)
 01:18:41.011513 > 1 bytes data, server => client
 01:18:41.011526 '2'
 01:18:41.051476 Received DATA (on stdin)
 01:18:41.051510 > 1 bytes data, server => client
 01:18:41.051524 '2'
 01:18:41.091471 Received DATA (on stdin)
 01:18:41.091503 > 1 bytes data, server => client
 01:18:41.091516 '0'
 01:18:41.131423 Received DATA (on stdin)
 01:18:41.131464 > 1 bytes data, server => client
 01:18:41.131478 ' '
 01:18:41.171475 Received DATA (on stdin)
 01:18:41.171513 > 1 bytes data, server => client
 01:18:41.171527 ' '
 01:18:41.211439 Received DATA (on stdin)
 01:18:41.211492 > 1 bytes data, server => client
 01:18:41.211506 ' '
 01:18:41.251485 Received DATA (on stdin)
 01:18:41.251520 > 1 bytes data, server => client
 01:18:41.251534 ' '
 01:18:41.291497 Received DATA (on stdin)
 01:18:41.291548 > 1 bytes data, server => client
 01:18:41.291562 '\'
 01:18:41.331472 Received DATA (on stdin)
 01:18:41.331505 > 1 bytes data, server => client
 01:18:41.331518 '_'
 01:18:41.371484 Received DATA (on stdin)
 01:18:41.371522 > 1 bytes data, server => client
 01:18:41.371536 '_'
 01:18:41.411591 Received DATA (on stdin)
 01:18:41.411628 > 1 bytes data, server => client
 01:18:41.411642 '_'
 01:18:41.451476 Received DATA (on stdin)
 01:18:41.451512 > 1 bytes data, server => client
 01:18:41.451526 '|'
 01:18:41.491474 Received DATA (on stdin)
 01:18:41.491511 > 1 bytes data, server => client
 01:18:41.491524 '\'
 01:18:41.531473 Received DATA (on stdin)
 01:18:41.531507 > 1 bytes data, server => client
 01:18:41.531520 '_'
 01:18:41.571488 Received DATA (on stdin)
 01:18:41.571540 > 1 bytes data, server => client
 01:18:41.571554 '_'
 01:18:41.611476 Received DATA (on stdin)
 01:18:41.611514 > 1 bytes data, server => client
 01:18:41.611528 '_'
 01:18:41.651466 Received DATA (on stdin)
 01:18:41.651496 > 1 bytes data, server => client
 01:18:41.651509 '/'
 01:18:41.691469 Received DATA (on stdin)
 01:18:41.691504 > 1 bytes data, server => client
 01:18:41.691517 '|'
 01:18:41.731475 Received DATA (on stdin)
 01:18:41.731510 > 1 bytes data, server => client
 01:18:41.731524 '_'
 01:18:41.771477 Received DATA (on stdin)
 01:18:41.771518 > 1 bytes data, server => client
 01:18:41.771532 '|'
 01:18:41.812450 Received DATA (on stdin)
 01:18:41.812490 > 1 bytes data, server => client
 01:18:41.812518 ' '
 01:18:41.851474 Received DATA (on stdin)
 01:18:41.851514 > 1 bytes data, server => client
 01:18:41.851527 '\'
 01:18:41.891501 Received DATA (on stdin)
 01:18:41.891563 > 1 bytes data, server => client
 01:18:41.891577 '_'
 01:18:41.931498 Received DATA (on stdin)
 01:18:41.931554 > 1 bytes data, server => client
 01:18:41.931568 '\'
 01:18:41.971510 Received DATA (on stdin)
 01:18:41.971574 > 1 bytes data, server => client
 01:18:41.971587 '_'
 01:18:42.011496 Received DATA (on stdin)
 01:18:42.011547 > 1 bytes data, server => client
 01:18:42.011561 '_'
 01:18:42.051478 Received DATA (on stdin)
 01:18:42.051522 > 1 bytes data, server => client
 01:18:42.051536 '_'
 01:18:42.091468 Received DATA (on stdin)
 01:18:42.091501 > 1 bytes data, server => client
 01:18:42.091514 '_'
 01:18:42.131412 Received DATA (on stdin)
 01:18:42.131451 > 1 bytes data, server => client
 01:18:42.131465 '_'
 01:18:42.171470 Received DATA (on stdin)
 01:18:42.171509 > 1 bytes data, server => client
 01:18:42.171524 '|'
 01:18:42.211475 Received DATA (on stdin)
 01:18:42.211509 > 1 bytes data, server => client
 01:18:42.211522 '\r'
 01:18:42.251475 Received DATA (on stdin)
 01:18:42.251506 > 1 bytes data, server => client
 01:18:42.251518 '\n'
 01:18:42.251610 < 16 bytes data, client => server
 01:18:42.251625 'USER anonymous\r\n'
 01:18:42.291794 Received DATA (on stdin)
 01:18:42.291818 > 1 bytes data, server => client
 01:18:42.291831 '3'
 01:18:42.331464 Received DATA (on stdin)
 01:18:42.331509 > 1 bytes data, server => client
 01:18:42.331523 '3'
 01:18:42.371502 Received DATA (on stdin)
 01:18:42.371555 > 1 bytes data, server => client
 01:18:42.371569 '1'
 01:18:42.411489 Received DATA (on stdin)
 01:18:42.411537 > 1 bytes data, server => client
 01:18:42.411551 ' '
 01:18:42.457766 Received DATA (on stdin)
 01:18:42.457827 > 1 bytes data, server => client
 01:18:42.457840 'O'
 01:18:42.491488 Received DATA (on stdin)
 01:18:42.491529 > 1 bytes data, server => client
 01:18:42.491542 'K'
 01:18:42.531474 Received DATA (on stdin)
 01:18:42.531509 > 1 bytes data, server => client
 01:18:42.531522 '\r'
 01:18:42.571482 Received DATA (on stdin)
 01:18:42.571519 > 1 bytes data, server => client
 01:18:42.571533 '\n'
 01:18:42.571604 < 22 bytes data, client => server
 01:18:42.571619 'PASS ftp@example.com\r\n'
 01:18:42.611606 Received DATA (on stdin)
 01:18:42.611628 > 1 bytes data, server => client
 01:18:42.611641 '2'
 01:18:42.651486 Received DATA (on stdin)
 01:18:42.651522 > 1 bytes data, server => client
 01:18:42.651536 '3'
 01:18:42.691477 Received DATA (on stdin)
 01:18:42.691514 > 1 bytes data, server => client
 01:18:42.691528 '0'
 01:18:42.731469 Received DATA (on stdin)
 01:18:42.731504 > 1 bytes data, server => client
 01:18:42.731517 ' '
 01:18:42.771475 Received DATA (on stdin)
 01:18:42.771513 > 1 bytes data, server => client
 01:18:42.771529 'O'
 01:18:42.811487 Received DATA (on stdin)
 01:18:42.811537 > 1 bytes data, server => client
 01:18:42.811551 'K'
 01:18:42.851475 Received DATA (on stdin)
 01:18:42.851511 > 1 bytes data, server => client
 01:18:42.851524 '\r'
 01:18:42.891481 Received DATA (on stdin)
 01:18:42.891520 > 1 bytes data, server => client
 01:18:42.891534 '\n'
 01:18:42.891595 < 5 bytes data, client => server
 01:18:42.891609 'PWD\r\n'
 01:18:42.931659 Received DATA (on stdin)
 01:18:42.931695 > 1 bytes data, server => client
 01:18:42.931708 '2'
 01:18:42.931918 ====> Client disconnect
 01:18:42.971490 Received DATA (on stdin)
 01:18:42.971542 > 1 bytes data, server => client
 01:18:42.971556 '5'
 01:18:42.971567 *** We are disconnected
 01:18:43.011467 Received DATA (on stdin)
 01:18:43.011508 > 1 bytes data, server => client
 01:18:43.011521 '7'
 01:18:43.011533 *** We are disconnected
 01:18:43.051464 Received DATA (on stdin)
 01:18:43.051498 > 1 bytes data, server => client
 01:18:43.051511 ' '
 01:18:43.051522 *** We are disconnected
 01:18:43.091462 Received DATA (on stdin)
 01:18:43.091499 > 1 bytes data, server => client
 01:18:43.091513 '"'
 01:18:43.091524 *** We are disconnected
 01:18:43.131450 Received DATA (on stdin)
 01:18:43.131487 > 1 bytes data, server => client
 01:18:43.131516 '/'
 01:18:43.131528 *** We are disconnected
 01:18:43.171451 Received DATA (on stdin)
 01:18:43.171477 > 1 bytes data, server => client
 01:18:43.171490 '"'
 01:18:43.171501 *** We are disconnected
 01:18:43.211439 Received DATA (on stdin)
 01:18:43.211471 > 1 bytes data, server => client
 01:18:43.211484 '\r'
 01:18:43.211495 *** We are disconnected
 01:18:43.251474 Received DATA (on stdin)
 01:18:43.251510 > 1 bytes data, server => client
 01:18:43.251524 '\n'
 01:18:43.251535 *** We are disconnected
=== End of file ftp_sockctrl.log
=== Start of file server.input
 USER anonymous
 PASS ftp@example.com
 PWD
=== End of file server.input
=== Start of file stderr1086
   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                  Dload  Upload   Total   Spent    Left  Speed
 
   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
   0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
   0     0    0     0    0     0      0      0 --:--:--  0:00:02 --:--:--     0
   0     0    0     0    0     0      0      0 --:--:--  0:00:03 --:--:--     0
   0     0    0     0    0     0      0      0 --:--:--  0:00:04 --:--:--     0
   0     0    0     0    0     0      0      0 --:--:--  0:00:05 --:--:--     0
   0     0    0     0    0     0      0      0 --:--:--  0:00:06 --:--:--     0
   0     0    0     0    0     0      0      0 --:--:--  0:00:07 --:--:--     0
 curl: (28) Operation timed out after 7014 milliseconds with 0 out of 0 bytes received
=== End of file stderr1086
=== Start of file trace1086
 01:18:35.916849 == Info: About to connect() to 127.0.0.1 port 3292 (#0)
 01:18:35.916917 == Info:   Trying 127.0.0.1...
 01:18:35.917425 == Info: Adding handle: conn: 0x47ee80
 01:18:35.917430 == Info: Adding handle: send: 0
 01:18:35.917433 == Info: Adding handle: recv: 0
 01:18:35.917435 == Info: Curl_addHandleToPipeline: length: 1
 01:18:35.917439 == Info: - Conn 0 (0x47ee80) send_pipe: 1, recv_pipe: 0
 01:18:35.917711 == Info: Connected to 127.0.0.1 (127.0.0.1) port 3292 (#0)
 01:18:37.131501 <= Recv header, 32 bytes (0x20)
 0000: 220-        _   _ ____  _     
 01:18:38.411582 <= Recv header, 32 bytes (0x20)
 0000: 220-    ___| | | |  _ \| |    
 01:18:39.691542 <= Recv header, 32 bytes (0x20)
 0000: 220-   / __| | | | |_) | |    
 01:18:40.971554 <= Recv header, 32 bytes (0x20)
 0000: 220-  | (__| |_| |  _ <| |___ 
 01:18:42.251549 <= Recv header, 32 bytes (0x20)
 0000: 220    \___|\___/|_| \_\_____|
 01:18:42.251638 => Send header, 16 bytes (0x10)
 0000: USER anonymous
 01:18:42.571567 <= Recv header, 8 bytes (0x8)
 0000: 331 OK
 01:18:42.571634 => Send header, 22 bytes (0x16)
 0000: PASS ftp@example.com
 01:18:42.891569 <= Recv header, 8 bytes (0x8)
 0000: 230 OK
 01:18:42.891623 => Send header, 5 bytes (0x5)
 0000: PWD
 01:18:42.931749 == Info: Operation timed out after 7014 milliseconds with 0 out of 0 bytes received
 01:18:42.931868 == Info: Closing connection 0
=== End of file trace1086


for full logs please see
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1359954
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1359709


Version-Release number of selected component (if applicable):
curl-7.29.0-14.fc19
curl-7.32.0-5.fc20
Comment 1 Kamil Dudka 2014-03-05 09:17:52 EST
As discussed on IRC, we need to increase the timeout used by test1086.
Comment 2 Fedora Update System 2014-03-05 11:51:38 EST
curl-7.29.0-15.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/curl-7.29.0-15.fc19
Comment 3 Fedora Update System 2014-03-05 11:52:01 EST
curl-7.32.0-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/curl-7.32.0-6.fc20
Comment 4 Fedora Update System 2014-03-06 03:11:25 EST
Package curl-7.29.0-15.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing curl-7.29.0-15.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3455/curl-7.29.0-15.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-03-07 22:32:55 EST
curl-7.32.0-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-03-08 23:45:44 EST
curl-7.29.0-15.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.